Functions
FLAG_Management
Peripheral Driver » LL Driver » CALENDAR » Functions

## Functions
__STATIC_INLINE uint32_t | ll_calendar_is_active_flag_alarm (void)
| Indicate if the CALENDAR alarm event flag is set or not. More...
__STATIC_INLINE uint32_t | ll_calendar_is_active_flag_wrap (void)
| Indicate if the CALENDAR wrap event flag is set or not. More...
__STATIC_INLINE void | ll_calendar_clear_flag_alarm (void)
| Clear calendar alarm interrupt flag. More...
__STATIC_INLINE void | ll_calendar_clear_flag_wrap (void)
| Clear calendar wrap interrupt flag. More...

## Detailed Description

## Function Documentation

## ◆ ll_calendar_clear_flag_alarm()

__STATIC_INLINE void ll_calendar_clear_flag_alarm | ( | void |  | ) |

Clear calendar alarm interrupt flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | SLP_EVENT | CALENDAR_TIMER_ALARM | +———————-+———————————–+ \endrst

Return values

  None |

Definition at line 445 of file gr55xx_ll_calendar.h.

## ◆ ll_calendar_clear_flag_wrap()

__STATIC_INLINE void ll_calendar_clear_flag_wrap | ( | void |  | ) |

Clear calendar wrap interrupt flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | SLP_EVENT | CALENDAR_TIMER_WRAP | +———————-+———————————–+ \endrst

Return values

  None |

Definition at line 465 of file gr55xx_ll_calendar.h.

## ◆ ll_calendar_is_active_flag_alarm()

__STATIC_INLINE uint32_t ll_calendar_is_active_flag_alarm | ( | void |  | ) |

Indicate if the CALENDAR alarm event flag is set or not.

Note
  This bit is set by hardware when the counter has reached alarm value. It can be cleared by writing 0 to this bit.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | SLP_EVENT | CALENDAR_TIMER_ALARM | +———————-+———————————–+ \endrst

Return values

  State | of bit (1 or 0).

Definition at line 407 of file gr55xx_ll_calendar.h.

## ◆ ll_calendar_is_active_flag_wrap()

__STATIC_INLINE uint32_t ll_calendar_is_active_flag_wrap | ( | void |  | ) |

Indicate if the CALENDAR wrap event flag is set or not.

Note
  This bit is set by hardware when the counter has overflow. It can be cleared by writing 0 to this bit.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | SLP_EVENT | CALENDAR_TIMER_WRAP | +———————-+———————————–+ \endrst

Return values

  State | of bit (1 or 0).

Definition at line 427 of file gr55xx_ll_calendar.h.